Subject: Re: bug#6686: 24.0.50; [restore functionality] sql-mode

From: Michael Mauger <[email-masked]>
Date: Tue, 3 Aug 2010 18:11:37 -0700 (PDT)

----- Original Message ----

> From: Tim Cross <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Sent: Wed, July 28, 2010 8:53:41 PM
> Subject: Re: bug#6686: 24.0.50; [restore functionality] sql-mode
> 
> Michael Mauger <[email-masked]> wrote  ...
> >
> >Here's another option: attached is the version of sql.el  found in Emacs 23.  

> >Load 
> >
> >this rather than the E24  version and see if you see the same behavior.  If 
>you 
>
> >do
> >then this is an E24 bug, else I've got some debugging to  do...
> >
> 
> Thanks Michael. I will try an do some testing early next  week and will let 
you
> know what I find. Actually, after your response, I was  going to do exactly
> what you suggest. It is quite possible the behavior is  due to something else
> that has changed in emacs 24, though nothing jumped out  at me from a quick
> scan of the change logs.
> 
> tim
>

I think what's wrong is the setting:

 (setq comint-process-echoes t)

in `sql-interactive-mode'; Just comment out that line.

I'm not sure why I added that, I'll have to check my notes.  See if that helps.

-Michael